<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>

    <!-- 1.) External Styling - linking an external css file to style your HTML File. -->
    <link rel="stylesheet" href="./style.css">

    <!-- 2.) Internal Styling - using the style tag -->
    <style>
        .style_internal {
            color: red;
        }

        h3 {
            color: red;
        }
    </style>

</head>
<body>
    <nav id="top">
        <a href="#landing">Zuitt</a>
            <div>
                <a href="" id="landing">Landing</a>
                <a href="" id="register">Register</a>
            </div>
    </nav>

    <!-- External -->
    <div id="style_external">
        <h1>Style me with External CSS</h1>
    </div>

    <!-- Internal -->
    <div class="style_internal">
        <h2>Style me with Internal CSS</h2>
    </div>

    <!-- 3.) Inline Styling - style attribute -->
    <h3 style="color: violet">Style me with Inline CSS</h3>

    <img src="./images/dog.jpg" alt="dog-image">
    <img src="./images/dog.jpg" alt="dog-image">

    <!-- Landing Section -->
    <section id="landing">
        <ol id="bootcamp-learning-list">
            <li class="offering-item">Day Classes</li>
                <ul>
                    <li>Java Short Course</li>
                    <li>PHP Short Course</li>
                </ul>
            <li class="offering-item">Night Classes</li>
            <li class="offering-item">Intro to Coding Events</li>
        </ol>
    </section>
    <!-- End of Landing Section -->

    <!-- Register Section -->
    <section id="register">
        <h2>Register</h2>
        <form>
            <label for="first-name">First Name:</label>
            <input type="text" name="first-name" id="first-name" required>
            <br><br>

            <label for="last-name">Last Name:</label>
            <input type="text" name="last-name" id="last-name" required>
            <br><br>

            <label for="email">Email:</label>
            <input type="email" name="email" id="email" required>
            <br><br>

            <button type="submit">Apply Now</button>
        </form>
    </section>
    <!-- End of Register Section -->

    <br>

    <a href="#top">Back To Top</a>

</body>
</html>